// Event for registering HUDs
PalladiumEvents.registerGuiOverlays((event) => {
    
    event.register(
        // ID for the overlay
        'fsang:viltrumite',
        // Function for rendering
        (minecraft, gui, poseStack, partialTick, screenWidth, screenHeight) =>{
            if (abilityUtil.hasPower(minecraft.player, 'fsang:viltrumite')) {

                let username = minecraft.player.getGameProfile().getName();
                let value = Utils.server.scoreboard.getOrCreatePlayerScore(username, Utils.server.scoreboard.getObjective("ViltrumiteEXP")).getScore();
                let e_value = Utils.server.scoreboard.getOrCreatePlayerScore(username, Utils.server.scoreboard.getObjective("ViltExp")).getScore();

                // Drawing text. Parameters: PoseStack, Text (as text component), X, Y, Color
                guiUtil.drawString(poseStack, Component.string("EXP: " + e_value +"/12000"), 9, 220, 0x000000);
                guiUtil.drawString(poseStack, Component.string("EXP: " + e_value +"/12000"), 11, 220, 0x000000);
                guiUtil.drawString(poseStack, Component.string("EXP: " + e_value +"/12000"), 10, 221, 0x000000);
                guiUtil.drawString(poseStack, Component.string("EXP: " + e_value +"/12000"), 10, 219, 0x000000);
                guiUtil.drawString(poseStack, Component.string("EXP: " + e_value +"/12000"), 10, 220, 0x74d104);
                
                guiUtil.drawString(poseStack, Component.string("SP: " + value), 9, 230, 0x000000);
                guiUtil.drawString(poseStack, Component.string("SP: " + value), 11, 230, 0x000000);
                guiUtil.drawString(poseStack, Component.string("SP: " + value), 10, 231, 0x000000);
                guiUtil.drawString(poseStack, Component.string("SP: " + value), 10, 229, 0x000000);
                guiUtil.drawString(poseStack, Component.string("SP: " + value), 10, 230, 0xe4e4e4);

            };
            if (abilityUtil.hasPower(minecraft.player, 'fsang:kryptonian')) {

                let username = minecraft.player.getGameProfile().getName();
                let value = Utils.server.scoreboard.getOrCreatePlayerScore(username, Utils.server.scoreboard.getObjective("KryptonianEXP")).getScore();
                let e_value = Utils.server.scoreboard.getOrCreatePlayerScore(username, Utils.server.scoreboard.getObjective("KryptExp")).getScore();

                // Drawing text. Parameters: PoseStack, Text (as text component), X, Y, Color
                guiUtil.drawString(poseStack, Component.string("EXP: " + e_value +"/12000"), 9, 220, 0x000000);
                guiUtil.drawString(poseStack, Component.string("EXP: " + e_value +"/12000"), 11, 220, 0x000000);
                guiUtil.drawString(poseStack, Component.string("EXP: " + e_value +"/12000"), 10, 221, 0x000000);
                guiUtil.drawString(poseStack, Component.string("EXP: " + e_value +"/12000"), 10, 219, 0x000000);
                guiUtil.drawString(poseStack, Component.string("EXP: " + e_value +"/12000"), 10, 220, 0x74d104);
                
                guiUtil.drawString(poseStack, Component.string("SP: " + value), 9, 230, 0x000000);
                guiUtil.drawString(poseStack, Component.string("SP: " + value), 11, 230, 0x000000);
                guiUtil.drawString(poseStack, Component.string("SP: " + value), 10, 231, 0x000000);
                guiUtil.drawString(poseStack, Component.string("SP: " + value), 10, 229, 0x000000);
                guiUtil.drawString(poseStack, Component.string("SP: " + value), 10, 230, 0xe4e4e4);

            };
            if (abilityUtil.hasPower(minecraft.player, 'fsang:speedforce')) {

                let username = minecraft.player.getGameProfile().getName();
                let value = Utils.server.scoreboard.getOrCreatePlayerScore(username, Utils.server.scoreboard.getObjective("SpeedforceEXP")).getScore();
                let e_value = Utils.server.scoreboard.getOrCreatePlayerScore(username, Utils.server.scoreboard.getObjective("SpdExp")).getScore();
                let s_value = Utils.server.scoreboard.getOrCreatePlayerScore(username, Utils.server.scoreboard.getObjective("speedLevel")).getScore();

                // Drawing text. Parameters: PoseStack, Text (as text component), X, Y, Color
                guiUtil.drawString(poseStack, Component.string("Speed: " + s_value +"0%"), 9, 210, 0x000000);
                guiUtil.drawString(poseStack, Component.string("Speed: " + s_value +"0%"), 11, 210, 0x000000);
                guiUtil.drawString(poseStack, Component.string("Speed: " + s_value +"0%"), 10, 211, 0x000000);
                guiUtil.drawString(poseStack, Component.string("Speed: " + s_value +"0%"), 10, 209, 0x000000);
                guiUtil.drawString(poseStack, Component.string("Speed: " + s_value +"0%"), 10, 210, 0xffd100);

                guiUtil.drawString(poseStack, Component.string("EXP: " + e_value +"/12000"), 9, 220, 0x000000);
                guiUtil.drawString(poseStack, Component.string("EXP: " + e_value +"/12000"), 11, 220, 0x000000);
                guiUtil.drawString(poseStack, Component.string("EXP: " + e_value +"/12000"), 10, 221, 0x000000);
                guiUtil.drawString(poseStack, Component.string("EXP: " + e_value +"/12000"), 10, 219, 0x000000);
                guiUtil.drawString(poseStack, Component.string("EXP: " + e_value +"/12000"), 10, 220, 0x74d104);
                
                guiUtil.drawString(poseStack, Component.string("SP: " + value), 9, 230, 0x000000);
                guiUtil.drawString(poseStack, Component.string("SP: " + value), 11, 230, 0x000000);
                guiUtil.drawString(poseStack, Component.string("SP: " + value), 10, 231, 0x000000);
                guiUtil.drawString(poseStack, Component.string("SP: " + value), 10, 229, 0x000000);
                guiUtil.drawString(poseStack, Component.string("SP: " + value), 10, 230, 0xe4e4e4);


            };
            if (abilityUtil.hasPower(minecraft.player, 'fsang:thor')) {

                let username = minecraft.player.getGameProfile().getName();
                let value = Utils.server.scoreboard.getOrCreatePlayerScore(username, Utils.server.scoreboard.getObjective("AsgardianEXP")).getScore();
                let e_value = Utils.server.scoreboard.getOrCreatePlayerScore(username, Utils.server.scoreboard.getObjective("AsgExp")).getScore();

                // Drawing text. Parameters: PoseStack, Text (as text component), X, Y, Color
                guiUtil.drawString(poseStack, Component.string("EXP: " + e_value +"/12000"), 9, 220, 0x000000);
                guiUtil.drawString(poseStack, Component.string("EXP: " + e_value +"/12000"), 11, 220, 0x000000);
                guiUtil.drawString(poseStack, Component.string("EXP: " + e_value +"/12000"), 10, 221, 0x000000);
                guiUtil.drawString(poseStack, Component.string("EXP: " + e_value +"/12000"), 10, 219, 0x000000);
                guiUtil.drawString(poseStack, Component.string("EXP: " + e_value +"/12000"), 10, 220, 0x74d104);
                
                guiUtil.drawString(poseStack, Component.string("SP: " + value), 9, 230, 0x000000);
                guiUtil.drawString(poseStack, Component.string("SP: " + value), 11, 230, 0x000000);
                guiUtil.drawString(poseStack, Component.string("SP: " + value), 10, 231, 0x000000);
                guiUtil.drawString(poseStack, Component.string("SP: " + value), 10, 229, 0x000000);
                guiUtil.drawString(poseStack, Component.string("SP: " + value), 10, 230, 0xe4e4e4);

            };
            if (abilityUtil.hasPower(minecraft.player, 'fsang:shazam')) {

                let username = minecraft.player.getGameProfile().getName();
                let value = Utils.server.scoreboard.getOrCreatePlayerScore(username, Utils.server.scoreboard.getObjective("ShazamEXP")).getScore();
                let e_value = Utils.server.scoreboard.getOrCreatePlayerScore(username, Utils.server.scoreboard.getObjective("ShzmExp")).getScore();

                // Drawing text. Parameters: PoseStack, Text (as text component), X, Y, Color
                guiUtil.drawString(poseStack, Component.string("EXP: " + e_value +"/12000"), 9, 220, 0x000000);
                guiUtil.drawString(poseStack, Component.string("EXP: " + e_value +"/12000"), 11, 220, 0x000000);
                guiUtil.drawString(poseStack, Component.string("EXP: " + e_value +"/12000"), 10, 221, 0x000000);
                guiUtil.drawString(poseStack, Component.string("EXP: " + e_value +"/12000"), 10, 219, 0x000000);
                guiUtil.drawString(poseStack, Component.string("EXP: " + e_value +"/12000"), 10, 220, 0x74d104);
                
                guiUtil.drawString(poseStack, Component.string("SP: " + value), 9, 230, 0x000000);
                guiUtil.drawString(poseStack, Component.string("SP: " + value), 11, 230, 0x000000);
                guiUtil.drawString(poseStack, Component.string("SP: " + value), 10, 231, 0x000000);
                guiUtil.drawString(poseStack, Component.string("SP: " + value), 10, 229, 0x000000);
                guiUtil.drawString(poseStack, Component.string("SP: " + value), 10, 230, 0xe4e4e4);

            };
        });
});